Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# file.h File Reference

`#include <lib3ds/background.h>`
`#include <lib3ds/atmosphere.h>`
`#include <lib3ds/shadow.h>`
`#include <lib3ds/viewport.h>`

Include dependency graph for file.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _Lib3dsFile
## Functions
LIB3DSAPI Lib3dsFile * | lib3ds_file_load (const char *filename)
LIB3DSAPI Lib3dsBool | lib3ds_file_save (Lib3dsFile *file, const char *filename)
LIB3DSAPI Lib3dsFile * | lib3ds_file_new ()
LIB3DSAPI void | lib3ds_file_free (Lib3dsFile *file)
LIB3DSAPI void | lib3ds_file_eval (Lib3dsFile *file, Lib3dsFloat t)
LIB3DSAPI Lib3dsBool | lib3ds_file_read (Lib3dsFile *file, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_file_write (Lib3dsFile *file, Lib3dsIo *io)
LIB3DSAPI void | lib3ds_file_insert_material (Lib3dsFile *file, Lib3dsMaterial *material)
LIB3DSAPI void | lib3ds_file_remove_material (Lib3dsFile *file, Lib3dsMaterial *material)
LIB3DSAPI Lib3dsMaterial * | lib3ds_file_material_by_name (Lib3dsFile *file, const char *name)
LIB3DSAPI void | lib3ds_file_dump_materials (Lib3dsFile *file)
LIB3DSAPI void | lib3ds_file_insert_mesh (Lib3dsFile *file, Lib3dsMesh *mesh)
LIB3DSAPI void | lib3ds_file_remove_mesh (Lib3dsFile *file, Lib3dsMesh *mesh)
LIB3DSAPI Lib3dsMesh * | lib3ds_file_mesh_by_name (Lib3dsFile *file, const char *name)
LIB3DSAPI void | lib3ds_file_dump_meshes (Lib3dsFile *file)
LIB3DSAPI void | lib3ds_file_dump_instances (Lib3dsFile *file)
LIB3DSAPI void | lib3ds_file_insert_camera (Lib3dsFile *file, Lib3dsCamera *camera)
LIB3DSAPI void | lib3ds_file_remove_camera (Lib3dsFile *file, Lib3dsCamera *camera)
LIB3DSAPI Lib3dsCamera * | lib3ds_file_camera_by_name (Lib3dsFile *file, const char *name)
LIB3DSAPI void | lib3ds_file_dump_cameras (Lib3dsFile *file)
LIB3DSAPI void | lib3ds_file_insert_light (Lib3dsFile *file, Lib3dsLight *light)
LIB3DSAPI void | lib3ds_file_remove_light (Lib3dsFile *file, Lib3dsLight *light)
LIB3DSAPI Lib3dsLight * | lib3ds_file_light_by_name (Lib3dsFile *file, const char *name)
LIB3DSAPI void | lib3ds_file_dump_lights (Lib3dsFile *file)
LIB3DSAPI Lib3dsNode * | lib3ds_file_node_by_name (Lib3dsFile *file, const char *name, Lib3dsNodeTypes type)
LIB3DSAPI Lib3dsNode * | lib3ds_file_node_by_id (Lib3dsFile *file, Lib3dsWord node_id)
LIB3DSAPI void | lib3ds_file_insert_node (Lib3dsFile *file, Lib3dsNode *node)
LIB3DSAPI Lib3dsBool | lib3ds_file_remove_node (Lib3dsFile *file, Lib3dsNode *node)
LIB3DSAPI void | lib3ds_file_dump_nodes (Lib3dsFile *file)

## Function Documentation

LIB3DSAPI Lib3dsCamera* lib3ds_file_camera_by_name | ( | Lib3dsFile * | file,
|  | const char * | name
| ) |

LIB3DSAPI void lib3ds_file_dump_cameras | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_dump_instances | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_dump_lights | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_dump_materials | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_dump_meshes | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_dump_nodes | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_eval | ( | Lib3dsFile * | file,
|  | Lib3dsFloat | t
| ) |

LIB3DSAPI void lib3ds_file_free | ( | Lib3dsFile * | file | ) |

LIB3DSAPI void lib3ds_file_insert_camera | ( | Lib3dsFile * | file,
|  | Lib3dsCamera * | camera
| ) |

LIB3DSAPI void lib3ds_file_insert_light | ( | Lib3dsFile * | file,
|  | Lib3dsLight * | light
| ) |

LIB3DSAPI void lib3ds_file_insert_material | ( | Lib3dsFile * | file,
|  | Lib3dsMaterial * | material
| ) |

LIB3DSAPI void lib3ds_file_insert_mesh | ( | Lib3dsFile * | file,
|  | Lib3dsMesh * | mesh
| ) |

LIB3DSAPI void lib3ds_file_insert_node | ( | Lib3dsFile * | file,
|  | Lib3dsNode * | node
| ) |

LIB3DSAPI Lib3dsLight* lib3ds_file_light_by_name | ( | Lib3dsFile * | file,
|  | const char * | name
| ) |

LIB3DSAPI Lib3dsFile* lib3ds_file_load | ( | const char * | filename | ) |

  | Loads a .3DS file from disk into memory. Parameters:
  filename | The filename of the .3DS file
Returns: A pointer to the Lib3dsFile structure containing the data of the .3DS file. If the .3DS file can not be loaded NULL is returned. Note: To free the returned pointer use lib3ds_free. See also: lib3ds_file_save lib3ds_file_new lib3ds_file_free

LIB3DSAPI Lib3dsMaterial* lib3ds_file_material_by_name | ( | Lib3dsFile * | file,
|  | const char * | name
| ) |

LIB3DSAPI Lib3dsMesh* lib3ds_file_mesh_by_name | ( | Lib3dsFile * | file,
|  | const char * | name
| ) |

LIB3DSAPI Lib3dsFile* lib3ds_file_new | ( |  | ) |

LIB3DSAPI Lib3dsNode* lib3ds_file_node_by_id | ( | Lib3dsFile * | file,
|  | Lib3dsWord | node_id
| ) |

LIB3DSAPI Lib3dsNode* lib3ds_file_node_by_name | ( | Lib3dsFile * | file,
|  | const char * | name,
|  | Lib3dsNodeTypes | type
| ) |

LIB3DSAPI Lib3dsBool lib3ds_file_read | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI void lib3ds_file_remove_camera | ( | Lib3dsFile * | file,
|  | Lib3dsCamera * | camera
| ) |

LIB3DSAPI void lib3ds_file_remove_light | ( | Lib3dsFile * | file,
|  | Lib3dsLight * | light
| ) |

LIB3DSAPI void lib3ds_file_remove_material | ( | Lib3dsFile * | file,
|  | Lib3dsMaterial * | material
| ) |

LIB3DSAPI void lib3ds_file_remove_mesh | ( | Lib3dsFile * | file,
|  | Lib3dsMesh * | mesh
| ) |

LIB3DSAPI Lib3dsBool lib3ds_file_remove_node | ( | Lib3dsFile * | file,
|  | Lib3dsNode * | node
| ) |

LIB3DSAPI Lib3dsBool lib3ds_file_save | ( | Lib3dsFile * | file,
|  | const char * | filename
| ) |

  | Saves a .3DS file from memory to disk. Parameters:
  file | A pointer to a Lib3dsFile structure containing the the data that should be stored.
  filename | The filename of the .3DS file to store the data in.
Returns: TRUE on success, FALSE otherwise. See also: lib3ds_file_load

LIB3DSAPI Lib3dsBool lib3ds_file_write | ( | Lib3dsFile * | file,
|  | Lib3dsIo * | io
| ) |